Migration from 2.5 to 3.4 fails with error 1093

Need help upgrading your Joomla! website or converting to Joomla! 3.x? Please consider the availability of third-party templates and extensions when deciding which Joomla version to use.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Locked
Walter1961
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Sun Feb 28, 2016 11:25 am

Migration from 2.5 to 3.4 fails with error 1093

Post by Walter1961 » Sun Feb 28, 2016 11:42 am

I am trying to migrate a Joomla 2.5.28 installation to 3.4. I have been following all instruction in the migration guide but the installation of the new version fails. An error message at the end of the installation says:

1093 - An error has occurred.

You can't specify target table 'jdb01_template_styles' for update in FROM clause SQL=UPDATE `jdb01_template_styles` SET home = (CASE WHEN (SELECT count FROM (SELECT count(`id`) AS count FROM `jdb01_template_styles` WHERE home = '1' AND client_id = 1) as c) = 0 THEN '1' ELSE '0' END) WHERE template = 'isis' AND home != '1';

I am using WampServer 3.0.0. A completely new installation of Joomla 3.4.8 is working correctly.

Any help is highly appreciated!

Walter

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 19087
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Migration from 2.5 to 3.4 fails with error 1093

Post by leolam » Mon Feb 29, 2016 5:24 am

Hello, You still have non-compatible extensions (those included templates/packages/plugins/etc) which is causing this. Remove all non-compatible extensions and this won't happen. See http://forum.joomla.org/viewtopic.php?f=710&t=793171

Leo 8)
Joomla's #1 Professional Support Provider:
-> Joomla Professional Support: https://gws-desk.com -
-> Joomla Specialized Hosting Solutions: https://gws-host.com -
Member Joomla Bug Squad & Joomla CMS Release Team

Walter1961
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Sun Feb 28, 2016 11:25 am

Re: Migration from 2.5 to 3.4 fails with error 1093

Post by Walter1961 » Mon Feb 29, 2016 10:15 am

Thanks, but I think I have removed all extensions.

In the meantime I have tried to migrate a plain, unmodified Joomla 2.5.28 installation and I still get the same error.

Walter

andre69k
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Thu Apr 07, 2016 7:46 pm

Re: Migration from 2.5 to 3.4 fails with error 1093

Post by andre69k » Thu Apr 07, 2016 7:49 pm

Hi Walter,

Do you have any luck with this issue. I have the same problem.

Any help is appreciated.

Regards,

Andre

Walter1961
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Sun Feb 28, 2016 11:25 am

Re: Migration from 2.5 to 3.4 fails with error 1093

Post by Walter1961 » Fri Apr 08, 2016 4:43 am

Hi Andre,

Yes. Originally I was using a local WampServer installation and I got the error. But when I tried to use EasyPHP and I was successful.

Best regards,

Walter


Locked

Return to “Migrating and Upgrading to Joomla! 3.x”